{
    "inputs": [
        {
            "type": {
                "items": "File",
                "type": "array"
            },
            "id": "#main/Compressed_Data_Table"
        },
        {
            "type": "File",
            "id": "#main/Compressed_Expression_Matrix"
        }
    ],
    "requirements": [
        {
            "class": "ScatterFeatureRequirement"
        }
    ],
    "class": "Workflow",
    "steps": [
        {
            "scatter": [
                "#main/Uncompress_Datatable/Compressed_File"
            ],
            "in": [
                {
                    "source": "#main/Compressed_Data_Table",
                    "id": "#main/Uncompress_Datatable/Compressed_File"
                }
            ],
            "run": {
                "cwlVersion": "v1.0",
                "inputs": [
                    {
                        "inputBinding": {
                            "position": 1
                        },
                        "type": "File",
                        "id": "#main/Uncompress_Datatable/Uncompress_Datatable_Inner/Compressed_File"
                    }
                ],
                "requirements": [
                    {
                        "class": "InlineJavascriptRequirement"
                    }
                ],
                "stdout": "$(inputs.Compressed_File.nameroot)",
                "outputs": [
                    {
                        "outputBinding": {
                            "glob": "$(inputs.Compressed_File.nameroot)"
                        },
                        "type": "File",
                        "id": "#main/Uncompress_Datatable/Uncompress_Datatable_Inner/Uncompressed_File"
                    }
                ],
                "baseCommand": [
                    "gunzip"
                ],
                "class": "CommandLineTool",
                "arguments": [
                    {
                        "position": 0,
                        "valueFrom": "-c"
                    }
                ],
                "$namespaces": {
                    "arv": "http://arvados.org/cwl#"
                },
                "id": "#main/Uncompress_Datatable/Uncompress_Datatable_Inner",
                "hints": [
                    {
                        "dockerPull": "bdgenomics/rhapsody:1.8",
                        "class": "DockerRequirement"
                    },
                    {
                        "outputDirType": "keep_output_dir",
                        "class": "http://arvados.org/cwl#RuntimeConstraints"
                    }
                ]
            },
            "id": "#main/Uncompress_Datatable",
            "out": [
                "#main/Uncompress_Datatable/Uncompressed_File"
            ]
        },
        {
            "in": [
                {
                    "source": "#main/Compressed_Expression_Matrix",
                    "id": "#main/Uncompress_Expression_Matrix/Compressed_File"
                }
            ],
            "run": {
                "cwlVersion": "v1.0",
                "inputs": [
                    {
                        "inputBinding": {
                            "position": 1
                        },
                        "type": "File",
                        "id": "#main/Uncompress_Expression_Matrix/Uncompress_Expression_Matrix_Inner/Compressed_File"
                    }
                ],
                "requirements": [
                    {
                        "class": "InlineJavascriptRequirement"
                    }
                ],
                "stdout": "$(inputs.Compressed_File.nameroot)",
                "outputs": [
                    {
                        "outputBinding": {
                            "glob": "$(inputs.Compressed_File.nameroot)"
                        },
                        "type": "File",
                        "id": "#main/Uncompress_Expression_Matrix/Uncompress_Expression_Matrix_Inner/Uncompressed_File"
                    }
                ],
                "baseCommand": [
                    "gunzip"
                ],
                "class": "CommandLineTool",
                "arguments": [
                    {
                        "position": 0,
                        "valueFrom": "-c"
                    }
                ],
                "$namespaces": {
                    "arv": "http://arvados.org/cwl#"
                },
                "id": "#main/Uncompress_Expression_Matrix/Uncompress_Expression_Matrix_Inner",
                "hints": [
                    {
                        "dockerPull": "bdgenomics/rhapsody:1.8",
                        "class": "DockerRequirement"
                    },
                    {
                        "outputDirType": "keep_output_dir",
                        "class": "http://arvados.org/cwl#RuntimeConstraints"
                    }
                ]
            },
            "id": "#main/Uncompress_Expression_Matrix",
            "out": [
                "#main/Uncompress_Expression_Matrix/Uncompressed_File"
            ]
        }
    ],
    "id": "#main",
    "outputs": [
        {
            "type": {
                "items": "File",
                "type": "array"
            },
            "outputSource": "#main/Uncompress_Datatable/Uncompressed_File",
            "id": "#main/Uncompressed_Data_Tables"
        },
        {
            "type": "File",
            "outputSource": "#main/Uncompress_Expression_Matrix/Uncompressed_File",
            "id": "#main/Uncompressed_Expression_Matrix"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "sbg": "https://sevenbridges.com#",
        "arv": "http://arvados.org/cwl#"
    }
}
